NX Open C++ Reference Guide
|
Represents a @link Features::EdgeSymmetry Features::EdgeSymmetry@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateEdgeSymmetryBuilder Features::FeatureCollection::CreateEdgeSymmetryBuilder @endlink <br>
Default values. More...
Public Types | |
enum | MovementDirections { MovementDirectionsX, MovementDirectionsY, MovementDirectionsZ } |
Movement directions. More... | |
enum | MovementMethods { MovementMethodsNormal, MovementMethodsProject, MovementMethodsWCS } |
Matching method options. More... | |
enum | SymmetryPlaneOptions { SymmetryPlaneOptionsYZ, SymmetryPlaneOptionsXZ, SymmetryPlaneOptionsXY, SymmetryPlaneOptionsArbitrary } |
Symmetry plane options. More... | |
Public Member Functions | |
NXOpen::Expression * | Blend () |
Returns the value indicating constraint on the surface poles in the depth direction Created in NX7.0.0. | |
bool | CanBlend () |
Returns the value indicating if matching to be performed with the blend value Created in NX7.0.0. | |
bool | CanCreateNewBody () |
Returns whether the operation is applied to a copy of the face there by creating new body Created in NX7.0.0. | |
NXOpen::GeometricUtilities::DepthSkewBuilder * | DepthSkew () |
Returns the depth and skew value Created in NX7.0.0. | |
bool | IsEditPolesEnabled () |
Returns the value indicating if poles are to edited manually Created in NX7.0.0. | |
bool | IsEndLocked () |
Returns the value indicating if end edge in edge direction is locked Created in NX7.0.0. | |
bool | IsG0 () |
Returns the value indicating if G0 continuity is enforced Created in NX7.0.0. | |
bool | IsG1 () |
Returns the value indicating if G1 continuity is enforced Created in NX7.0.0. | |
bool | IsG2 () |
Returns the value indicating if G2 continuity is enforced Created in NX7.0.0. | |
bool | IsG3 () |
Returns the value indicating if G3 continuity is enforced Created in NX7.0.0. | |
bool | IsStartLocked () |
Returns the value indicating if start edge in edge direction is locked Created in NX7.0.0. | |
NXOpen::Features::EdgeSymmetryBuilder::MovementDirections | MovementDirection () |
Returns the value indicating the direction of pole movement during match Created in NX8.0.0. | |
NXOpen::Features::EdgeSymmetryBuilder::MovementMethods | MovementMethod () |
Returns the pole movement method to be used in matching process Created in NX7.0.0. | |
NXOpen::SelectNXObject * | ObjectToEdit () |
Returns the object to edit Created in NX7.0.0. | |
NXOpen::Expression * | Offset () |
Returns the value indicating offset distance to be used with absolute principal symmetry plane Created in NX7.0.0. | |
NXOpen::GeometricUtilities::Continuity * | OppositeEdgeContinuity () |
Returns the opposite edge continuity Created in NX7.0.0. | |
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder * | Parameterization () |
Returns the surface parameterization Created in NX7.0.0. | |
NXOpen::GeometricUtilities::ControlPoleManagerData * | PoleManager () |
Returns the pole manager. | |
void | ResetPoleEditing () |
Resets the pole editing to initial matched state Created in NX7.0.0. | |
void | SetCanBlend (bool canBlend) |
Sets the value indicating if matching to be performed with the blend value Created in NX7.0.0. | |
void | SetCanCreateNewBody (bool newBody) |
Sets whether the operation is applied to a copy of the face there by creating new body Created in NX7.0.0. | |
void | SetEditPolesEnabled (bool enabled) |
Sets the value indicating if poles are to edited manually Created in NX7.0.0. | |
void | SetEndLocked (bool isEndLocked) |
Sets the value indicating if end edge in edge direction is locked Created in NX7.0.0. | |
void | SetG0 (bool isG0) |
Sets the value indicating if G0 continuity is enforced Created in NX7.0.0. | |
void | SetG1 (bool isG1) |
Sets the value indicating if G1 continuity is enforced Created in NX7.0.0. | |
void | SetG2 (bool isG2) |
Sets the value indicating if G2 continuity is enforced Created in NX7.0.0. | |
void | SetG3 (bool isG3) |
Sets the value indicating if G3 continuity is enforced Created in NX7.0.0. | |
void | SetMovementDirection (NXOpen::Features::EdgeSymmetryBuilder::MovementDirections movementDirection) |
Sets the value indicating the direction of pole movement during match Created in NX8.0.0. | |
void | SetMovementMethod (NXOpen::Features::EdgeSymmetryBuilder::MovementMethods movementMethod) |
Sets the pole movement method to be used in matching process Created in NX7.0.0. | |
void | SetStartLocked (bool isStartLocked) |
Sets the value indicating if start edge in edge direction is locked Created in NX7.0.0. | |
void | SetSymmetryPlane (NXOpen::Plane *symmetryPlane) |
Sets the symmetry plane Created in NX7.0.0. | |
void | SetSymmetryPlaneOption (NXOpen::Features::EdgeSymmetryBuilder::SymmetryPlaneOptions symmetryPlaneOption) |
Sets the symmetry plane option Created in NX7.0.0. | |
NXOpen::Plane * | SymmetryPlane () |
Returns the symmetry plane Created in NX7.0.0. | |
NXOpen::Features::EdgeSymmetryBuilder::SymmetryPlaneOptions | SymmetryPlaneOption () |
Returns the symmetry plane option Created in NX7.0.0. | |
void | UpdateSurfacePostPoleEditing () |
Updates surface using GeometricUtilities::ControlPoleManagerData . | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::EdgeSymmetry Features::EdgeSymmetry@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateEdgeSymmetryBuilder Features::FeatureCollection::CreateEdgeSymmetryBuilder @endlink <br>
Default values.
Property | Value |
---|---|
IsG0 |
1 |
IsG1 |
1 |
MovementDirection |
X |
MovementMethod |
Project |
Parameterization.Degree |
3 |
Parameterization.SegmentsOrPatches |
1 |
Parameterization.UDegree |
5 |
Parameterization.UPatches |
1 |
Parameterization.VDegree |
5 |
Parameterization.VPatches |
1 |
SymmetryPlaneOption |
XZ |
Created in NX7.0.0.
Matching method options.
MovementMethodsNormal |
Does a normal match. |
MovementMethodsProject |
Does a match by projecting poles corresponding to target edge of the surface. |
MovementMethodsWCS |
Does a match by moving poles along a WCS principal axis direction. |
NXOpen::Expression* NXOpen::Features::EdgeSymmetryBuilder::Blend | ( | ) |
Returns the value indicating constraint on the surface poles in the depth direction
Created in NX7.0.0.
License requirements : None
bool NXOpen::Features::EdgeSymmetryBuilder::CanBlend | ( | ) |
Returns the value indicating if matching to be performed with the blend value
Created in NX7.0.0.
License requirements : None
bool NXOpen::Features::EdgeSymmetryBuilder::CanCreateNewBody | ( | ) |
Returns whether the operation is applied to a copy of the face there by creating new body
Created in NX7.0.0.
License requirements : None
NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::EdgeSymmetryBuilder::DepthSkew | ( | ) |
Returns the depth and skew value
Created in NX7.0.0.
License requirements : None
bool NXOpen::Features::EdgeSymmetryBuilder::IsEditPolesEnabled | ( | ) |
Returns the value indicating if poles are to edited manually
Created in NX7.0.0.
License requirements : None
bool NXOpen::Features::EdgeSymmetryBuilder::IsEndLocked | ( | ) |
Returns the value indicating if end edge in edge direction is locked
Created in NX7.0.0.
License requirements : None
bool NXOpen::Features::EdgeSymmetryBuilder::IsG0 | ( | ) |
Returns the value indicating if G0 continuity is enforced
Created in NX7.0.0.
License requirements : None
bool NXOpen::Features::EdgeSymmetryBuilder::IsG1 | ( | ) |
Returns the value indicating if G1 continuity is enforced
Created in NX7.0.0.
License requirements : None
bool NXOpen::Features::EdgeSymmetryBuilder::IsG2 | ( | ) |
Returns the value indicating if G2 continuity is enforced
Created in NX7.0.0.
License requirements : None
bool NXOpen::Features::EdgeSymmetryBuilder::IsG3 | ( | ) |
Returns the value indicating if G3 continuity is enforced
Created in NX7.0.0.
License requirements : None
bool NXOpen::Features::EdgeSymmetryBuilder::IsStartLocked | ( | ) |
Returns the value indicating if start edge in edge direction is locked
Created in NX7.0.0.
License requirements : None
NXOpen::Features::EdgeSymmetryBuilder::MovementDirections NXOpen::Features::EdgeSymmetryBuilder::MovementDirection | ( | ) |
Returns the value indicating the direction of pole movement during match
Created in NX8.0.0.
License requirements : None
NXOpen::Features::EdgeSymmetryBuilder::MovementMethods NXOpen::Features::EdgeSymmetryBuilder::MovementMethod | ( | ) |
Returns the pole movement method to be used in matching process
Created in NX7.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::EdgeSymmetryBuilder::ObjectToEdit | ( | ) |
Returns the object to edit
Created in NX7.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::EdgeSymmetryBuilder::Offset | ( | ) |
Returns the value indicating offset distance to be used with absolute principal symmetry plane
Created in NX7.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::EdgeSymmetryBuilder::OppositeEdgeContinuity | ( | ) |
Returns the opposite edge continuity
Created in NX7.0.0.
License requirements : None
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder* NXOpen::Features::EdgeSymmetryBuilder::Parameterization | ( | ) |
Returns the surface parameterization
Created in NX7.0.0.
License requirements : None
NXOpen::GeometricUtilities::ControlPoleManagerData* NXOpen::Features::EdgeSymmetryBuilder::PoleManager | ( | ) |
Returns the pole manager.
The pole manager is used to edit the pole manually.
Created in NX7.0.0.
License requirements : None
void NXOpen::Features::EdgeSymmetryBuilder::ResetPoleEditing | ( | ) |
Resets the pole editing to initial matched state
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::EdgeSymmetryBuilder::SetCanBlend | ( | bool | canBlend | ) |
Sets the value indicating if matching to be performed with the blend value
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
canBlend | canblend |
void NXOpen::Features::EdgeSymmetryBuilder::SetCanCreateNewBody | ( | bool | newBody | ) |
Sets whether the operation is applied to a copy of the face there by creating new body
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
newBody | newbody |
void NXOpen::Features::EdgeSymmetryBuilder::SetEditPolesEnabled | ( | bool | enabled | ) |
Sets the value indicating if poles are to edited manually
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
enabled | enabled |
void NXOpen::Features::EdgeSymmetryBuilder::SetEndLocked | ( | bool | isEndLocked | ) |
Sets the value indicating if end edge in edge direction is locked
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isEndLocked | isendlocked |
void NXOpen::Features::EdgeSymmetryBuilder::SetG0 | ( | bool | isG0 | ) |
Sets the value indicating if G0 continuity is enforced
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isG0 | isg0 |
void NXOpen::Features::EdgeSymmetryBuilder::SetG1 | ( | bool | isG1 | ) |
Sets the value indicating if G1 continuity is enforced
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isG1 | isg1 |
void NXOpen::Features::EdgeSymmetryBuilder::SetG2 | ( | bool | isG2 | ) |
Sets the value indicating if G2 continuity is enforced
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isG2 | isg2 |
void NXOpen::Features::EdgeSymmetryBuilder::SetG3 | ( | bool | isG3 | ) |
Sets the value indicating if G3 continuity is enforced
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isG3 | isg3 |
void NXOpen::Features::EdgeSymmetryBuilder::SetMovementDirection | ( | NXOpen::Features::EdgeSymmetryBuilder::MovementDirections | movementDirection | ) |
Sets the value indicating the direction of pole movement during match
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
movementDirection | movementdirection |
void NXOpen::Features::EdgeSymmetryBuilder::SetMovementMethod | ( | NXOpen::Features::EdgeSymmetryBuilder::MovementMethods | movementMethod | ) |
Sets the pole movement method to be used in matching process
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
movementMethod | movementmethod |
void NXOpen::Features::EdgeSymmetryBuilder::SetStartLocked | ( | bool | isStartLocked | ) |
Sets the value indicating if start edge in edge direction is locked
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isStartLocked | isstartlocked |
void NXOpen::Features::EdgeSymmetryBuilder::SetSymmetryPlane | ( | NXOpen::Plane * | symmetryPlane | ) |
Sets the symmetry plane
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
symmetryPlane | symmetryplane |
void NXOpen::Features::EdgeSymmetryBuilder::SetSymmetryPlaneOption | ( | NXOpen::Features::EdgeSymmetryBuilder::SymmetryPlaneOptions | symmetryPlaneOption | ) |
Sets the symmetry plane option
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
symmetryPlaneOption | symmetryplaneoption |
NXOpen::Plane* NXOpen::Features::EdgeSymmetryBuilder::SymmetryPlane | ( | ) |
Returns the symmetry plane
Created in NX7.0.0.
License requirements : None
NXOpen::Features::EdgeSymmetryBuilder::SymmetryPlaneOptions NXOpen::Features::EdgeSymmetryBuilder::SymmetryPlaneOption | ( | ) |
Returns the symmetry plane option
Created in NX7.0.0.
License requirements : None
void NXOpen::Features::EdgeSymmetryBuilder::UpdateSurfacePostPoleEditing | ( | ) |
Updates surface using GeometricUtilities::ControlPoleManagerData .
Use this method to update the surface when poles are edited using pole manager.
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")